/*
	
 *************************************************************************************
 *                                                                                   *
 *              	MIRA_RC5 - Philips RC5 Protocol implementation                   *
 *                                                                                   *
 *************************************************************************************
 *                                                                                   *
 *  File:        	MIRA_RC5.h                                                       *
 *  Description:    Header file of RC5 implmentation unit.                           *
 *                  This unit require MIRA unit.                                     *
 *                                                                                   *
 *  Author:   	 	Bc. Miroslav Skopal                                              *
 *  Date:     		23.5.2009                                                        *
 *  Platform: 		AVR (Tested on ATMega16 (fcpu = 16MHz)                           *
 *                                                                                   *
 *  License:		Licensed under GPLv2                                             *
 *                                                                                   *
 *  MIRA - Multiple InraRed Application Copyright (C) 2009 Miroslav Skopal           *
 *                                                                                   *
 *  This program is free software; you can redistribute it and/or                    *
 *  modify it under the terms of the GNU General Public License                      *
 *  as published by the Free Software Foundation; either version 2                   *
 *  of the License.                                                                  *
 *                                                                                   *
 *  This program is distributed in the hope that it will be useful,                  *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of                   *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                    *
 *  GNU General Public License for more details.                                     *
 *                                                                                   *
 *  You should have received a copy of the GNU General Public License                *
 *  along with this program; if not, write to the Free Software                      *
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.  *
 *                                                                                   * 
 *************************************************************************************

*/


#ifndef _AVR_MIRA_RC5_H_
#define _AVR_MIRA_RC5_H_ 1

void RC5_Send(unsigned char Toggle, unsigned char Address, unsigned char Command);

// callback function for low-level unit MIRA
void RC5_Recieve(unsigned short int us);

#endif
