#include <stdio.h>
#include <avr/interrupt.h>
#include "lcd.h"
#include "MIRA.h"



char activity = 10, rx_toggle, rx_adr, rx_cmd;

void showRC5(char Toggle, char Address, char Command){
	rx_toggle = Toggle;
	rx_adr = Address;
	rx_cmd = Command;
	activity = 0;
}



int main(){
	

	DDRB = 0xff;

	
	// nastaveni pro IR modul
	DDRD = 0b10110111;
	PORTD &= ~(_BV(PD1));
	
	PORTD |= _BV(PD3);



	lcd_init();
	lcd_clear();



	unsigned char i, cmd, adr;


	MIRA_Init();

	cmd = 0;
	adr = 0;
	i = 0;
	
	sei(); // povoleni obsluhy preruseni

	char text[16];

	while (1){


		RC5_Send(cmd%2, adr,cmd);	


			sprintf(text, "TX t:%d a:%d c:%d     ",cmd%2 , adr, cmd);
			lcd_goto(0,0);
			lcd_put_string(text);


		if (activity < 10){
			sprintf(text, "RX t:%d a:%d c:%d    ", rx_toggle, rx_adr, rx_cmd);
			lcd_goto(0,1);
			lcd_put_string(text);
			activity++;
		}else{
			lcd_goto(0,1);
			lcd_put_string("RX  -no signal- ");
		
		}
		for (i=0;i<10;i++) _delay_ms(10);
		
		if ((++cmd)/64) adr++;
		cmd = (cmd)%64; adr = (adr)%32;
	}




	return 0;
}
